# -*- encoding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2012 Vertel (<http://www.vertel.se>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    'name': 'Sweden - Accounting Demo/test Data',
    'version': '0.1',
    'category': 'Localization',
    'description': """Sweden - Chart of accounts Demo Data
    
    This module holds transactions to test a swedish chart of account 
    Bas 2012 (normal).
    
    >>>>>> Work in progress <<<<<<<<<<<<<<<<<<<
     
     
    The new form of installing the l10n-module in one phase and generate the 
    account of chart in a later phase demands a new testing routine.
    
    To perform a test:
    
    1. Create a new standard database without demo checked
    2. Configure the company as you like
    3. Install the Accounting-module and choose Swedish account
    4. Generate a chart of account for your company
    5. Install this module, and check financial and tax-reports

    This is how a transaction could look like:
    
        <!--  Verifikat 1 -->
        <record id="v1" model="account.move">  
            <field name="name">Försäljning av tjänster på faktura</field>
            <field name="date" eval="time.strftime('%Y')+'-01-01' " />     <!-- You can use Python-code to generlize your test cases -->
            <field name="journal_id" search="[('code','=','SAJ')]" />      <!-- You can search the database so you can use readable code, when there is no external id defined --> 
            <field name="period_id"  search="[('code','=', '01/2012')]" />
        </record>
        <record id="v11" model="account.move.line">
            <field name="name">Tjänster</field>
            <field name="move_id" ref="v1" />
            <field name="account_id"  ref="l10n_se.chart_1510" />  <!-- use accounts with external id -->
            <field name="debit" eval="1000.0" />
        </record>
        <record id="v12" model="account.move.line">             
            <field name="name">Tjänster</field>
            <field name="move_id" ref="v1" />
            <field name="account_id"  ref="l10n_se.chart_3010" />
            <field name="tax_amount" eval="800" />
            <field name="account_tax_id" eval="MP1" />
            <field name="credit" eval="800" />            
        </record>
        <record id="v13" model="account.move.line">             <!-- there are no automatics, you have to create all lines by you self -->
            <field name="name">Tjänster</field>
            <field name="move_id" ref="v1" />
            <field name="tax_amount" eval="200" />
            <field name="account_id"  ref="l10n_se.chart_2610" />
            <field name="account_tax_id" eval="U1" />
            <field name="credit" eval="200" />            
        </record>
    

     """,
    'author': 'Vertel',
    'website': 'http://www.vertel.se',
    'depends': ['l10n_se'],
    'update_xml': ['l10n_se_demo.xml'],
    'installable': 'True',
}
# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
